<?php

namespace App\Entity;

use App\Repository\PiecePaysRepository;
use Doctrine\ORM\Mapping as ORM;

#[ORM\Entity(repositoryClass: PiecePaysRepository::class)]
class PiecePays
{
    #[ORM\Id]
    #[ORM\GeneratedValue]
    #[ORM\Column]
    private ?int $id = null;

    #[ORM\ManyToOne(inversedBy: 'piecePays')]
    #[ORM\JoinColumn(nullable: false)]
    private ?PieceModele $pieceModeleID = null;

    #[ORM\Column(length: 250)]
    private ?string $paysNom = null;

    public function getId(): ?int
    {
        return $this->id;
    }

    public function getPieceModeleID(): ?PieceModele
    {
        return $this->pieceModeleID;
    }

    public function setPieceModeleID(?PieceModele $pieceModeleID): static
    {
        $this->pieceModeleID = $pieceModeleID;

        return $this;
    }

    public function getPaysNom(): ?string
    {
        return $this->paysNom;
    }

    public function setPaysNom(string $paysNom): static
    {
        $this->paysNom = $paysNom;

        return $this;
    }
}
